
From: Christoph Hellwig <hch@lst.de>

mtd driver need to get another reference if ->probe succeeds (strange design
if you ask me, but what the heck..), and while most drivers have been switched
to __module_get already two are still missing.


---

 25-akpm/drivers/mtd/chips/amd_flash.c |    2 +-
 25-akpm/drivers/mtd/chips/sharp.c     |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/mtd/chips/amd_flash.c~fix-mod_inc_use_count-usage-in-mtd drivers/mtd/chips/amd_flash.c
--- 25/drivers/mtd/chips/amd_flash.c~fix-mod_inc_use_count-usage-in-mtd	Fri May  7 15:11:58 2004
+++ 25-akpm/drivers/mtd/chips/amd_flash.c	Fri May  7 15:11:58 2004
@@ -780,8 +780,8 @@ static struct mtd_info *amd_flash_probe(
 	map->fldrv_priv = private;
 
 	map->fldrv = &amd_flash_chipdrv;
-	MOD_INC_USE_COUNT;
 
+	__module_get(THIS_MODULE);
 	return mtd;
 }
 
diff -puN drivers/mtd/chips/sharp.c~fix-mod_inc_use_count-usage-in-mtd drivers/mtd/chips/sharp.c
--- 25/drivers/mtd/chips/sharp.c~fix-mod_inc_use_count-usage-in-mtd	Fri May  7 15:11:58 2004
+++ 25-akpm/drivers/mtd/chips/sharp.c	Fri May  7 15:11:58 2004
@@ -154,7 +154,7 @@ struct mtd_info *sharp_probe(struct map_
 	map->fldrv = &sharp_chipdrv;
 	map->fldrv_priv = sharp;
 
-	MOD_INC_USE_COUNT;
+	__module_get(THIS_MODULE);
 	return mtd;
 }
 

_
